# Hosting settings

Hosting settings contains settings regarding the hosting of the site, such as application virtual path, local temporary storage location and debug.

A full configuration with default values can be seen here:

```json
"Umbraco": {
  "CMS": {
    "Hosting": {
      "ApplicationVirtualPath": "/",
      "LocalTempStorageLocation": "Default",
      "TemporaryFileUploadLocation"
      "Debug": false,
      "SiteName"
    }
  }
}
```

## Setting overview

### Application virtual path

This setting specified the virtual path of the application, this path must start with a slash.

### Local temp storage location

This setting specifies the location of the local temp storage.

Options:

* Default
* EnvironmentTemp

### Temporary file upload location

This setting specifies the location of the temporarily uploaded files, for instance, when uploading files in the media section. The `umbraco/Data/TEMP/TemporaryFile/` folder is used if not specified.

### Debug

This setting allows you to run Umbraco in debug mode, by setting the value to true.

### Site name

Gets or sets a value specifying the name of the site. The [IWebHostEnvironment.ApplicationName](https://docs.microsoft.com/en-us/dotnet/api/microsoft.extensions.hosting.ihostenvironment.applicationname?view=dotnet-plat-ext-6.0) is used if not specified


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/configuration/hostingsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
